propellor-5.10.1: property-based host configuration management in haskell

Maintainer | Sean Whitton <spwhitton@spwhitton.name>
Safe Haskell | None
Language | Haskell98

Propellor.Property.Firejail

Description

Synopsis

- installed :: Property DebianLike
- jailed :: [String] -> Property DebianLike

# Documentation

installed :: Property DebianLike Source #

Ensures that Firejail is installed

jailed :: [String] -> Property DebianLike Source #

For each program name passed, create symlinks in usrlocal/bin that will launch that program in a Firejail sandbox.

The profile for the sandbox will be the same as if the user had run `firejail` directly without passing `--profile` (see "SECURITY PROFILES" in firejail(1)).

See "DESKTOP INTEGRATION" in firejail(1).